Bug 843855 - [abrt] python-bugzilla-0.7.0-1.fc17: _MozillaCookieJar.py:55:_really_load:LoadError: '/home/msp/pkennedy/.bugzillacookies' does not look like a Netscape format cookies file
[abrt] python-bugzilla-0.7.0-1.fc17: _MozillaCookieJar.py:55:_really_load:Loa...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:68dc922e86e38c3e6e29067ab13...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 10:58 EDT by Paul Kennedy
Modified: 2015-04-19 20:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 11:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2012-07-27 10:58:00 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/bugzilla query --flag rhel-6.3.0+ --component doc-SELinux_User_Guide --bug_status NEW --outputformat 'https://bugzilla.redhat.com/show_bug.cgi?id=%{bug_id} %{component} %{assigned_to} %{bug_status} %{short_desc} [Keywords: %{keywords}]'
executable:     /usr/bin/bugzilla
kernel:         3.4.4-3.fc17.x86_64
time:           Mon 02 Jul 2012 01:36:23 PM CDT
uid:            3905
username:       pkennedy

backtrace:
:_MozillaCookieJar.py:55:_really_load:LoadError: '/home/msp/pkennedy/.bugzillacookies' does not look like a Netscape format cookies file
:
:Traceback (most recent call last):
:  File "/usr/bin/bugzilla", line 808, in <module>
:    main()
:  File "/usr/bin/bugzilla", line 507, in main
:    bz = bzclass(url=global_opt.bugzilla)
:  File "/usr/lib/python2.7/site-packages/bugzilla/rhbugzilla.py", line 45, in __init__
:    Bugzilla4.__init__(self, **kwargs)
:  File "/usr/lib/python2.7/site-packages/bugzilla/bugzilla4.py", line 27, in __init__
:    Bugzilla36.__init__(self, **kwargs)
:  File "/usr/lib/python2.7/site-packages/bugzilla/bugzilla3.py", line 22, in __init__
:    bugzilla.base.BugzillaBase.__init__(self,**kwargs)
:  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 117, in __init__
:    self.cookiefile = cookiefile
:  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 185, in _setcookiefile
:    cj = self._loadcookies(cj)
:  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 158, in _loadcookies
:    cj.load(self._cookiefile)
:  File "/usr/lib64/python2.7/cookielib.py", line 1763, in load
:    self._really_load(f, filename, ignore_discard, ignore_expires)
:  File "/usr/lib64/python2.7/_MozillaCookieJar.py", line 55, in _really_load
:    filename)
:LoadError: '/home/msp/pkennedy/.bugzillacookies' does not look like a Netscape format cookies file
:
:Local variables in innermost frame:
:magic: '#LWP-Cookies-2.0\n'
:f: <closed file '/home/msp/pkennedy/.bugzillacookies', mode 'r' at 0x133e420>
:self: <_MozillaCookieJar.MozillaCookieJar[]>
:ignore_discard: False
:ignore_expires: False
:filename: '/home/msp/pkennedy/.bugzillacookies'
:now: 1341254183.390499

smolt_data:
:
:
:General
:=================================
:UUID: f950637f-4a2d-4d96-83e2-5cc4e78706d8
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5382.56
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 3842
:System Swap: 5887
:Vendor: LENOVO
:System: 4291CL9 ThinkPad X220
:Form factor: Notebook
:Kernel: 3.4.5-2.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8666) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8666) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8666) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8666) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8666) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:7171:6058:8666) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8666) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8666) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8666) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:6058:8666) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_pkennedy--laptop-lv_root / ext4 4096 4096 13081025 8030323 7374963 3276800 2901044 2901044
:/dev/sda1 /boot ext4 1024 1024 508644 399084 373484 128016 127665 127665
:/dev/mapper/vg_pkennedy--laptop-lv_home /home ext4 1048576 1048576 403174 97167 76687 52428800 47426911 47426911
:
Comment 1 Don Zickus 2012-07-27 11:41:43 EDT
Hi,

Does a 'bugzilla login' (and re-enter you bugzilla info), fix the problem?

Cheers,
Don
Comment 2 Paul Kennedy 2012-07-27 18:44:11 EDT
Yes it does. I had logged in successfully just prior to running my query, but got the error. Must have somehow logged in incorrectly.
Comment 3 Don Zickus 2012-07-30 11:29:36 EDT
Hi Paul,

Thanks for the response.  Not sure how that could happen.  I am going to close this as NOTABUG then.

Thanks,
Don
Comment 4 Paul Kennedy 2012-08-08 15:01:36 EDT
Thanks, Don. Sounds good. I found later that the problem occurred when I was running more than one Bugzilla query at once. When I run each query at a time, there is no problem.

Note You need to log in before you can comment on or make changes to this bug.